﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CellColorExample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = this;
            Setup();
        }

        public ObservableCollection<Invoice> Invoices { get; set; }

        private void Setup()
        {
            Invoices = new ObservableCollection<Invoice>();

            Invoices.Add(new Invoice("Company A", 100, 89));
            Invoices.Add(new Invoice("Company B", 100, 91));
            Invoices.Add(new Invoice("Company C", 200, 55));
            Invoices.Add(new Invoice("Company D", 300, 275));
            Invoices.Add(new Invoice("Company E", 400, 395));
            Invoices.Add(new Invoice("Company F", 500, 77));
            Invoices.Add(new Invoice("Company G", 450, 406));
            Invoices.Add(new Invoice("Company H", 450, 407));
            Invoices.Add(new Invoice("Company I", 500, 697));
            Invoices.Add(new Invoice("Company J", 100, 191));
            Invoices.Add(new Invoice("Company K", 100, 100));

        }
    }
}
